# Class NameCheckingXmlSerializer

java.lang.Object
nu.validator.htmlparser.sax.XmlSerializer
nu.validator.htmlparser.sax.NameCheckingXmlSerializer

All Implemented Interfaces:
  `ContentHandler, LexicalHandler`

public class NameCheckingXmlSerializer extends XmlSerializer

## Constructor Summary

Constructors
Constructor
Description
`NameCheckingXmlSerializer(OutputStream out)`
`NameCheckingXmlSerializer(Writer out)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkNCName(String name)`

### Methods inherited from class XmlSerializer

`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping, startPrefixMappingPrivate`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ContentHandler

`declaration`

## Constructor Details

### NameCheckingXmlSerializer

public NameCheckingXmlSerializer(OutputStream out)

### NameCheckingXmlSerializer

public NameCheckingXmlSerializer(Writer out)

## Method Details

### checkNCName

protected void checkNCName(String name) throws SAXException

Overrides:
  `checkNCName` in class `XmlSerializer`
Throws:
  `SAXException`
See Also:
  - invalid reference

        nu.validator.htmlparser.sax.XmlSerializer#checkNCName()